Skip to main content
POST
/
v1
/
assessments
/
run
Trigger Assessment
curl --request POST \
  --url https://api.mindfort.app/v1/assessments/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.mindfort.app/v1/assessments/run"

payload = { "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://api.mindfort.app/v1/assessments/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.mindfort.app/v1/assessments/run"

payload := strings.NewReader("{\n \"target_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "assessment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "assessment_started": true
}
{
"assessment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"assessment_started": true
}
{
"error": "<string>",
"request_id": "<string>"
}
{
"error": "<string>",
"request_id": "<string>"
}
{
"error": "<string>",
"request_id": "<string>"
}
{
"error": "<string>",
"request_id": "<string>"
}
{
"error": "<string>",
"request_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.

Body

application/json
target_id
string<uuid>
required

UUID of the target to assess

assessment_method
enum<string>
default:turbo

Assessment thoroughness. turbo is fastest, deep is most comprehensive.

Available options:
turbo,
balanced,
deep
target_credential_id
string<uuid>

UUID of stored credentials to use for authenticated testing

Response

Assessment triggered successfully

assessment_id
string<uuid>

UUID of the created assessment

status
string

Current status of the assessment

assessment_started
boolean

Whether the assessment was successfully started